#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        A DAV protocol implementation with KJobs
Name:           kdav
# Moved from release-service to frameworks --> version went from 20.04.2 to 5.72.0
Epoch:          1
Version: 6.16.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6I18n)

%description
A DAV protocol implementation with KJobs.

%files -f %name.lang
%_kf6_categoriesdir/kdav.*categories

#--------------------------------------------------------------------

%define kf6dav_major 6
%define libkf6dav %mklibname kf6dav %{kf6dav_major}

%package -n %libkf6dav
Summary:        A DAV protocol implementation with KJobs
Group:          System/Libraries
Requires:       %name >= %epoch:%version-%release

%description -n %libkf6dav
A DAV protocol implementation with KJobs.

%files -n %libkf6dav
%_kf6_libdir/libKF6DAV.so.%{kf6dav_major}
%_kf6_libdir/libKF6DAV.so.%{version}

#--------------------------------------------------------------------

%define kf6dav_devel %mklibname kf6dav -d

%package -n %kf6dav_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6dav = %epoch:%{version}-%{release}
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf6dav_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6dav_devel
%_kf6_libdir/cmake/KF6DAV/
%_kf6_includedir/KDAV/
%_kf6_libdir/libKF6DAV.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name --all-name


%changelog
* Sat Jul 12 2025 daviddavid <daviddavid> 1:6.16.0-1.mga10
+ Revision: 2253026
- New version 6.16.0

* Sun Jun 15 2025 daviddavid <daviddavid> 1:6.15.0-1.mga10
+ Revision: 2191421
- New version 6.15.0

* Sun May 11 2025 daviddavid <daviddavid> 1:6.14.0-1.mga10
+ Revision: 2182388
- New version 6.14.0

* Sun Apr 13 2025 daviddavid <daviddavid> 1:6.13.0-1.mga10
+ Revision: 2175110
- New version 6.13.0

* Sat Mar 15 2025 daviddavid <daviddavid> 1:6.12.0-1.mga10
+ Revision: 2164121
- New version 6.12.0

* Thu Jan 09 2025 daviddavid <daviddavid> 1:6.10.0-1.mga10
+ Revision: 2136387
- New version 6.10.0

* Fri Dec 20 2024 daviddavid <daviddavid> 1:6.9.0-1.mga10
+ Revision: 2126572
- New version 6.9.0

* Sat Nov 09 2024 daviddavid <daviddavid> 1:6.8.0-1.mga10
+ Revision: 2113070
- New version 6.8.0

* Fri Oct 11 2024 daviddavid <daviddavid> 1:6.7.0-1.mga10
+ Revision: 2104743
- New version 6.7.0

* Sat Sep 14 2024 daviddavid <daviddavid> 1:6.6.0-1.mga10
+ Revision: 2095914
- New version 6.6.0

* Fri Aug 09 2024 daviddavid <daviddavid> 1:6.5.0-1.mga10
+ Revision: 2084356
- New version 6.5.0

* Fri Jun 07 2024 daviddavid <daviddavid> 1:6.3.0-1.mga10
+ Revision: 2070528
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 1:6.2.0-1.mga10
+ Revision: 2063384
- New version 6.2.0

* Sat Apr 13 2024 daviddavid <daviddavid> 1:6.1.0-1.mga10
+ Revision: 2056818
- New version 6.1.0

* Wed Feb 28 2024 neoclust <neoclust> 1:6.0.0-1.mga10
+ Revision: 2044916
- New version 6.0.0

* Tue Feb 06 2024 neoclust <neoclust> 1:5.249.0-1.mga10
+ Revision: 2037476
- New version 5.249.0

* Wed Jan 10 2024 neoclust <neoclust> 1:5.248.0-1.mga10
+ Revision: 2029568
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 1:5.247.0-1.mga10
+ Revision: 2025604
- New version 5.247.0
- New version 5.246.0

* Sat Nov 11 2023 neoclust <neoclust> 1:5.245.0-1.mga10
+ Revision: 2005955
- New version 5.245.0

* Thu Oct 19 2023 daviddavid <daviddavid> 1:5.111.0-1.mga10
+ Revision: 1998953
- New version 5.111.0

* Sat Sep 16 2023 daviddavid <daviddavid> 1:5.110.0-1.mga10
+ Revision: 1987345
- New version 5.110.0

* Mon Apr 10 2023 neoclust <neoclust> 1:5.105.0-1.mga9
+ Revision: 1952027
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 1:5.104.0-1.mga9
+ Revision: 1947836
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 1:5.103.0-1.mga9
+ Revision: 1941342
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 1:5.102.0-1.mga9
+ Revision: 1934992
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 1:5.101.0-1.mga9
+ Revision: 1922237
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 1:5.100.0-1.mga9
+ Revision: 1911607
- New version 5.100.0

* Sat Nov 05 2022 neoclust <neoclust> 1:5.99.0-1.mga9
+ Revision: 1903833
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 1:5.98.0-1.mga9
+ Revision: 1887646
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 1:5.97.0-1.mga9
+ Revision: 1880593
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 1:5.96.0-1.mga9
+ Revision: 1871693
- New version 5.96.0
- New version 5.93.0

* Sun Apr 10 2022 neoclust <neoclust> 1:5.92.0-2.mga9
+ Revision: 1848451
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Nov 08 2021 neoclust <neoclust> 1:5.88.0-1.mga9
+ Revision: 1754821
- New version 5.88.0
- New version 5.87.0
- New version 5.86.0
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 1:5.82.0-1.mga9
+ Revision: 1723445
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 1:5.81.0-1.mga9
+ Revision: 1714841
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 1:5.80.0-1.mga9
+ Revision: 1702019
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 1:5.79.0-1.mga9
+ Revision: 1691110
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 1:5.76.0-1.mga8
+ Revision: 1653324
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 1:5.75.0-1.mga8
+ Revision: 1633178
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 1:5.74.0-1.mga8
+ Revision: 1625599
- New version 5.74.0
+ neoclust <neoclust>
- New version 20.08.0

* Mon Aug 10 2020 daviddavid <daviddavid> 1:5.73.0-1.mga8
+ Revision: 1612955
- New version 5.73.0 (Moved from release-service to frameworks)

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604085
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596818
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584468
- New version 20.04.1

* Sat Apr 18 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568598
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559289
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1540086
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513259
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1466907
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1457863
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1446758
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1424958
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390413
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1387617
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1382158
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375550
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365532
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356472
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1339480
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332711
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 18.08.2-1.mga7
+ Revision: 1327365
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1298466
- Mageia 7 Mass Rebuild

* Mon Jul 02 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1241313
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201861
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1194884
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186422
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1143005
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1136744
- New version 17.07.90

* Thu Jul 27 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1131398
- imported package kdav

